%global momorel 1
%global majorver 0.60
%global minorver 4

Summary:	Aspell is an Open Source spell checker.
Name:		aspell
Version:	%{majorver}.%{minorver}
Release:	%{momorel}m
License:	LGPL
Group:		Applications/Text
URL:		http://aspell.net/
Source:		ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Patch0: 	aspell-0.60.4-nroff-gcc41.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	pspell
PreReq:		chkconfig, info
Provides:	ispell
BuildPrereq:	gcc-c++ >= 3.4.1-1m
BuildPrereq:	gettext >= 0.14.5
NoSource:       0

%description
GNU Aspell is a Free and Open Source spell checker designed to eventually
replace Ispell. It can either be used as a library or as an independent
spell checker. Its main feature is that it does a much better job of coming up
with possible suggestions than just about any other spell checker out there
for the English language, including Ispell and Microsoft Word. It also has
many other technical enhancements over Ispell such as using shared memory for
dictionaries and intelligently handling personal dictionaries when more than
one Aspell process is open at once.

%package	devel
Summary:	Static Libraries and header files for aspell
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	pspell-devel

%description  devel
Aspell is an Free and Open Source spell checker.
Static Libraries and header files for aspell

%prep
%setup -q
autoreconf -fi

%patch0 -p1 -b .nroff-gcc41

%build
%configure --enable-static --enable-pkgdatadir=/usr/lib/aspell-0.60 --enable-pkglibdir=/usr/lib/aspell-0.60
%make

%install
rm -rf %{buildroot}
%makeinstall transform='s,x,x,' pkgdatadir=%{buildroot}/usr/lib/aspell-0.60 pkglibdir=%{buildroot}/usr/lib/aspell-0.60
pushd %{buildroot}%{_libdir}
ln -sf libaspell.so libpspell.so
popd

rm -rf doc dev-doc
mkdir doc dev-doc
cp -pr manual/aspell.html/* doc/
cp -pr manual/aspell-dev.html/* dev-doc/

rm -f %{buildroot}/usr/share/info/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/aspell.info %{_infodir}/dir
fi

%preun devel
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/aspell-dev.info %{_infodir}/dir
fi

%post
/sbin/ldconfig
[ -f %{_bindir}/ispell -a ! -L %{_bindir}/ispell ] && %__rm -f %{_bindir}/ispell
/usr/sbin/alternatives --remove ispell %{_datadir}/aspell/ispell 2>&1 > /dev/null || :
/usr/sbin/alternatives --install %{_bindir}/ispell ispell /usr/lib/aspell-%{majorver}/ispell 80
if [ "$1" = 1 ]; then
    /sbin/install-info %{_infodir}/aspell.info %{_infodir}/dir
fi

%post devel
if [ "$1" = 1 ]; then
    /sbin/install-info %{_infodir}/aspell-dev.info %{_infodir}/dir
fi

%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
        /usr/sbin/alternatives --remove ispell /usr/lib/aspell-%{majorver}/ispell
        /usr/sbin/alternatives --auto ispell || :
fi

%clean
rm -rf %{buildroot}

%changelog
* Sun Dec 25 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.60.4-1m)
- update 0.60.4
- support gcc-4.1
-- add aspell-0.60.4-nroff-gcc41.patch
- remove aspell-0.60.3-long_gettext.patch

* Wed Oct 19 2005 Toru Hoshina <t@momonga-linux.org>
- (0.60.2-3m)
- pkgdatadir and pkglibdir should be /usr/lib because of noarch.

* Sat Jan 22 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.60.2-2m)
- revise alternatives

* Thu Jan  6 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.60.2-1m)
- major bugfixes

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.60-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sat Aug 28 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.60-1m)
- major feature enhancements

* Mon May 10 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.50.5-1m)
- version up

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (0.50.3-5m)
- rebuild against ncurses 5.3.

* Sun Jul 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.50.3-4m)
- include assert.h (aspell-0.50.3-assert.patch)

* Tue Apr 22 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.50.3-3m)
- remove Conflicts tag. (are..

* Thu Mar 20 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.50.3-2m)
- alternatives

* Wed Feb 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.50.3-1m)
- version 0.50.3

* Thu Jan 2 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (.33.7.1-5m)
- update define pspell to .12.2-9m
- add pspell at BuildPrereq

* Mon Feb 24 2002 Shingo Akagaki <dora@kondara.org>
- (.33.7.1-4k)
- just rebuild for .la fix

* Tue Oct 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (.33.7.1-2k)
- update to .33.7.1

* Wed Jan 31 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (.32.6-3k)
- update to .32.6

* Wed Jan 10 2001 Toru Hoshina <toru@df-usa.com>
- (.32.5-9k)
- rebuild against gcc 2.96.

* Thu Dec  7 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (.32.5-7k)
- fixed document file problerm (jitterbug #802)

* Fri Dec  1 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (.32.5-5k)
- modified the bug that failed if %{_docdir} is /usr/doc

* Thu Nov 23 2000 Kenichi Matsubara <m@kondara.org>
- modified %Build section.

* Sat Sep 09 2000 Toru Hoshina <t@kondara.org>
- do not need to copy stl_rope.h on gcc 2.96 environment.
- version up [32.5-0.1]

* Mon May 02 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- Kondara fix.

* Mon May  1 2000 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.30.1-1]
- Ported Aspell to Win32 platforms.
- Portability fixes which may help aspell compile on other platforms.
- Aspell will no longer fail if for some reason the mmap fails, instead it
  will just read the file in as normal and free the memory when done.
- Minor changes in the format of the main word list as a result of the
  changes, the old format should still work in most cases.
- Fixed a bug when aspell was ignoring the extension of file names such as
  .html or .tex when checking files.
- Fixed a bug when aspell will go into an infinite loop when creating the
  main word list from a word list which has duplicates in it.
- Minor changes to the manual for better clarity.

* Mon Apr  3 2000 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.30-1]
- Fixed many of the capitalization bugs found in previous versions of Aspell.
- Changed the format of the main word list yet again.
- Fixed a bug so that ``aspell check'' will work on the PowerPC.
- Added ability to change configuration options in the middle of a session.
- Added words from /usr/dict/words found on most Linux systems as well as
  a bunch of commonly used abbreviation to the word list.
- Fixed a bug when aspell will dump core after reporting certain errors
  when compiled with gcc 2.95 or higher. This involved reworked the
  Exception heritage to get around a bug in gcc 2.95.
- Added a few more commands to the list of default commands the TEX
  filter knows about.
- Aspell will now check if a word only contains valid characters before
  adding it to any dictionaries. This might mean that you have to
  manually delete a few words from your personal word list.
- Added option to ignore case when checking a document.
- Adjusted the parameters of the ``normal'' suggest mode to so that
  significantly less far fetched results are returned in cases such as
  tomatoe, which went from 100 suggestions down to 32, at the expense of
  getting slightly lower results (less than 1%),
- Improved the edit distance algorithm for slightly faster results.
- Removed the $$m command in pipe mode, you should now use ``$$cs mode,
  mode '' to set the mode and ``$$cr mode'' to find out the current mode.
- Reworked parts of Aspell to use Pspell services to avoid duplicating code.
- Added a module for the newly released Pspell. It will get installed
  with the rest of aspell.
- Miscellaneous other bug fixes.

* Mon Feb 21 2000 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.29.1-1]
- Improved the TEX filter so that it will accept '@' at the begging of a
  command name and ignore trailing '*'s. It also now has better defaults
  for which parameters to skip.
- Reworked the main dictionary so that it can be memory mapped in. This
  decreases startup time and allows multiple aspell processes to use the
  same memory for the main word list. This also also made Aspell 64 bit
  clean so that it should work on an alpha now.
- Fix so that aspell can compile on platforms that gnu as is not
  available for.
- Fixed issue with flock so it would compile on FreeBSD.
- Minor changes in the code to make it more C++ compliant although I am
  sure there will still be problems when using some other compiler other
  than gcc or egcs.
- Added some comments to the header files to better document a few of the
  classes.

* Mon Feb  7 2000 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.29-1]
- Fixed a bug in the pipe mode with lines that start with ``^$$''.
- Added support for ignoring all words less than or equal to a specified
  length
- New soundslike code based thanks to the contribution of Bj rn Jacke. It
  now gets all of its data from a table making it easier for other people
  to add soundslike code for their native language. He also converted the
  metaphone algorithm to table form, eliminating the need for the old
  metaphone code.
- Major redesign of the suggestion code for better results.
- Changed the format of the personal word lists. In most cases it should
  be converted automatically.
- Changed the format of the main word list.
- Name space cleanup for more consistent naming. I now use name spaces
  which means that gcc 2.8.* and egcs 1.0.* will no longer cut it.
- Used file locks when reading and saving the personal dictionaries so
  that it truly multiprocess safe.
- Added rudimentary filter support.
- Reworked the configuration system once again. However, the changes to
  the end user who does not directly use my library should be minimal.
- Rewrote my code that handles parsing command line parameters so that it
  no longer uses popt as it was causing to many problems and didn't
  integrate well with my new configuration system.
- Fixed pipe mode so that it will properly ignore lines starting with '~'
  for better ispell compatibility.
- Aspell now has a new home page at http://aspell.sourceforge.net/.
  Please make note of the new URL.
- Miscellaneous manual fixes and clarifications.

* Mon Nov 22 1999 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.28.3-1]
- Fixed a bug that caused aspell to crash when spell checking words
  over 60 characters long.
- Reworked ``aspell check'' so that
  1. You no longer have to hit enter when making a choice.
  2. It will now overwrite the orignal file instead of creating a
     new file. An optional backup can be made by using the -b option.
- Fixed a few bugs in data.cc.

* Thu Aug 26 1999 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.28.2.1-1]
- Fixed the version number for the shared library.
- Fixed a problem with undefined refrences when linking to the
  shared library.

  [aspell-.28.2]
- Fixed a bunch of bugs in the language and configuration classes.
- Minor changed in the code so that it could compile with the new
  gcc 2.95(.1).
- Changed the output of ``dump config'' so that default values are
  given the value "<default>". This means that the output can be
  used to created a configuration file.
- Added notes on using aspell with VIM.

* Wed Jul 28 1999 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.28.1-2]
- Opps. Wasn't patching stl_rope.h on RedHat-6.0.
- Passing make the RPM_OPT_FLAGS now.

* Wed Jul 28 1999 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.28.1-1]
- Changes from .28 to .28.1 (July 27, 1999)
- Removed some debug output.
- Changed notes on compiling with gcc 2.8.* as I managed to get it
  to compile on my school account.
- Avoided included stdexcept in const_string.hh so that I could get
  to compile on my schools account with gcc 2.8.1.

* Mon Jul 26 1999 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.28-1]
- Changes from .27.2 to .28 (July 25, 1999)
- Provided an iterator for the replacement classes.
- Added support for dumping and creating and merging the personal
  and replacement word lists.
- Changed the aspell utility command line a bit, it now used popt.
- Totally reworked aspell configuration system. Now aspell can get
  configuration from any of 5 sources: the command line, the
  environmental variable ASPELL_CONF, the personal configuration
  file, the global configuration file, and finally the compiled in
  defaults.
- Totally reworked the language class in preparation for my new
  language code. See
  http://metalab.unc.edu/kevina/aspell/international/ for more
  information of what I have in store.
- Added some options to the configure script:
  -language-enable-dict-dir=DIR, -enable-doc-dir=DIR, -enable-debug,
  and -enable-opt
- Removed some old header files.
- Reoriginized the directory structure a bit
- Made the text version of the manual pages slightly easier to read
- Usded the \url command for urls for better formating of the
  printed version.

* Tue Mar  2 1999 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.27.2-2]
- Changes from .27.1 to .27.2 (Mar 1, 1999)
- Fixed a major bug that caused aspell to dump core when used
  without any arguments
- Fixed another major bug that caused aspell to do nothing when used
  in interactive mode.
- Added an option to exit in Aspell's interactive mode.
- Removed some old documentation files from the distribution.
- Minor changes on to the section on using Aspell with egcs.
- Minor changes to remove -Wall warnings.

%files
%defattr(-,root,root)
%doc COPYING README TODO doc/*
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_datadir}/locale/*/*/*
/usr/lib/aspell-%{majorver}
%{_mandir}/*/*
%{_infodir}/aspell.info*

%files devel
%defattr(-,root,root)
%doc dev-doc
%{_libdir}/lib*.so
%{_libdir}/lib*a
%{_includedir}/*
%{_infodir}/aspell-dev.info*
